%global momorel 1

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Python library for configuring and running X
Name: rhpxl
URL: http://fedoraproject.org/wiki/rhpxl
Version: 1.9
Release: %{momorel}m%{?dist}
Source0: http://ajax.fedoraproject.org/%{name}/%{name}-%{version}.tar.gz
License: GPLv2
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel, gettext, libXrandr-devel, libX11-devel
ExcludeArch: s390 s390x
Requires: python, rhpl >= 0.214, newt, hwdata >= 0.169, hal
Requires: pyxf86config >= 0.3.31, xorg-x11-server-Xorg >= 1.4.99.901

%description
The rhpxl (pronounced 'rapunzel') package contains a Python library for
configuring and running X.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING
%{python_sitearch}/rhpxl
%{python_sitearch}/*egg-info

%changelog
* Thu Jul 24 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.9-1m)
- sync Fedora

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.51-4m)
- restrict python ver-rel for egginfo

* Tue Apr 29 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.51-3m)
- enable egg-info

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.51-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.51-1m)
- update 0.51

* Mon Nov  5 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.49-1m)
- update 0.49

* Mon Sep 24 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.47-2m)
- removed BuildArch: noarch; this pkg provides .so file

* Wed May 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.47-1m)
- update 0.47

* Sun Apr 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.46-1m)
- update 0.46

* Fri Feb 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.43-1m)
- update 0.43

* Tue Jan 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.41-1m)
- update 0.41

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.39-2m)
- rebuild against python-2.5

* Tue Oct 17 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.39-1m)
- update 0.39

* Thu Jul  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.18-4m)
- version down 0.18
-- Anaconda-11.0.5 need 0.18

* Sun Jun 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19-1m)
- update 0.19

* Fri May 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.18-3m)
- version down 0.18 
-- Anaconda-11.0.5 need 0.18

* Mon May  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19-1m)
- update 0.19

* Fri Mar 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18-2m)
- delete patch0, SOURCE1, and SOURCE2 for xorg-7.0

* Sat Mar 11 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.18-1m)
- sync with fc-devel

* Thu Jan 19 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-2m)
- fix for x86_64

* Thu Jan 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10-1m)
- import from FC

* Wed Jan 11 2006 Peter Jones <pjones@redhat.com> 0.10-1
- If we're on a Mac and can't get DDC/EDID, and our resolution is tiny,
  force 1024x768.

* Wed Dec 21 2005 Chris Lumens <clumens@redhat.com> 0.9-1
- Don't use rhpl.log anymore.
#'

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 Chris Lumens <clumens@redhat.com> 0.8-1
- Attempt to set hsync and vsync from the config file if probing fails
  (Maxim Dzumanenko - #154172).

* Mon Nov 21 2005 Bill Nottingham <notting@redhat.com> - 0.7-1
- fix rhpl.arch.getBaseArch() vs rhpl.getArch() confusion

* Tue Nov 15 2005 Chris Lumens <clumens@redhat.com> 0.6
- Remove xhwstate from path on object creation (#173229).

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.2-1
- drivers now end in .so, not .o

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.1-1
- unscaled bitmap fonts fixed in libXfont so change our fontpaths back

* Sun Nov 13 2005 Jeremy Katz <katzj@redhat.com> - 0.5-1
- update for modular X

* Thu Oct 13 2005 Chris Lumens <clumens@redhat.com> 0.4-2
- Correct python lib directory on 64-bit archs (#170624).

* Wed Oct 12 2005 Chris Lumens <clumens@redhat.com> 0.4-1
- Correct where we look for data files (#170505).
- Translate in rhpxl domain instead of rhpl domain.
- Correct __init__ to import everything.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.3-1
- Moved data files and ddcprobe here from rhpl.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.2-1
- Fix import of simpleconfig.
- Remove references to X sections of rhpl that rhpxl contains.

* Fri Oct 07 2005 Chris Lumens <clumens@redhat.com> 0.1-2
- Fix broken dependancies on platforms with no pyxf86config.

* Thu Oct 06 2005 Chris Lumens <clumens@redhat.com> 0.1-1
- Initial import from rhpl.
